Skip to main content
PUT
/
v1
/
channel
/
order
/
cancellation-denied
Deny Cancellation Request
curl --request PUT \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/order/cancellation-denied \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel": "MYBESTDEALCOMDE",
  "sellerId": "4711",
  "orderCancellationRequestId": "82992d3a-b153-4422-b539-f4d1f1b4aecb",
  "reason": "<string>"
}
'
{
  "errorList": [
    {
      "code": "GEN404",
      "message": "Not found",
      "severity": "error",
      "hint": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Body

application/json

Seller denial of a cancellation that was previously requested by the marketplace customer.

Seller rejection of a cancellation request previously raised by the marketplace, including the reason.

channel
string
required

This is the unique Channel name.

Pattern: ^\w{5,15}$
Example:

"MYBESTDEALCOMDE"

sellerId
string
required

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

orderCancellationRequestId
string<uuid>
required

A unique identifier for the order cancellation request. This ID should by used by Seller to identify the cancellation response from the Channel.

Example:

"82992d3a-b153-4422-b539-f4d1f1b4aecb"

reason
string
required
Maximum string length: 250

Response

Order Cancellation denied